Subject: bug#21963: Spurious byte compile message: "Warning: the function `bar' might not be defined at runtime."

From: Stefan Kangas <[email-masked]>
Date: Sun, 29 Sep 2019 23:24:29 +0200

Alan Mackenzie <[email-masked]> writes:

> On Fri, Nov 20, 2015 at 08:44:56AM -0800, John Wiegley wrote:
>> >>>>> Alan Mackenzie <[email-masked]> writes:
>
>> > While eval-when-compile'ing the first line, the byte compiler collects a
>> > list of symbols defined by it (in variable
>> > byte-compile-noruntime-functions). More or less.
>
>> > There is no mechanism for taking symbols off of that list when they
>> > subsequently become defined.
>
>> Not optimal, but I must ask: Should it be fixed? Or, for now, simply noted in
>> the elisp manual when discussing the merits of this warning?
>
> I think it should be fixed.  It will eliminate warnings from CC Mode (at
> the very least).
>
> I am working on it as we speak.  I expect to produce a patch for review
> soon.

Hi Alan,

That was four years ago.  Did you finish the patch which would resolve
this issue?

Best regards,
Stefan Kangas